YITH Donations for WooCommerce

Omschrijving

Voeg aan je winkel de mogelijkheid toe dat je gebruikers donaties doen voor een goed doel of een belangrijke solidariteitscampagne. Geef je gebruikers de mogelijkheid om een ​​donatieformulier in te vullen, een donatie te doen op uw site en laat hen het bedrag dat ze willen doneren instellen. Nu kun je dat doen met YITH Donaties voor WooCommerce.
Voor een meer gedetailleerde lijst met opties en functies van de plug-in, kijk op de officiële documentatie .

Main features:

  • Geef een naam aan elk donatieproject
  • Kies een product dat je aan het donatie formulier wilt koppelen
  • Donatiewidget om toe te voegen aan je sidebars

Schermafdrukken

  • Admin: algemene Instellingen
  • Admin: widget instellingen
  • Frontend: donatieformulier op de productpagina

Installatie

  1. Pak het gedownloade zipbestand uit.
  2. Upload de plug-in map in de map wp-content/plugins/ van je WordPress-site.
  3. Activeer YITH Donaties voor WooCommerce vanaf plugin pagina.

FAQ

Vertaalprobleem met versie 1.0.6

Om de plugin-strings correct in het nieuwe systeem te importeren, moesten we het tekstdomeinformulier ‘ywcds’ wijzigen in ‘yith-donations-for-woocommerce’. Zodra de plug-in in het translate.wordpress.org-systeem wordt geïmporteerd, worden de vertalingen van andere talen rechtstreeks gedownload vanuit WordPress, zonder gebruik te maken van .po- en .mo-bestanden. Bovendien kunnen gebruikers op een meer directe manier deelnemen aan het invoegen van vertalingen, waarbij teksten in hun taal worden voorgesteld op het speciale tabblad op translate.wordpress.org. Tijdens deze overgangsstap zullen .po en .mo-bestanden worden gebruikt zoals altijd, maar om door WordPress te worden herkend, moeten ze een nieuwe nomenclatuur hebben, door ze te hernoemen in: yith-donations-for-woocommerce-.po yith -donations-for-woocommerce-.mo. Als uw taalbestanden bijvoorbeeld ywcds-en_GB.po en ywcds-en_GB.mo heten, moet u ze respectievelijk hernoemen als yith-donaties-voor-woocommerce-en_GB.po en yith-donaties-voor-woocommerce- en_GB.mo.

Is de plugin compatibel met alle WordPress-thema’s?

Compatibiliteit met alle thema’s is onmogelijk, omdat ze te veel zijn, maar in het algemeen als thema’s worden ontwikkeld volgens de WordPress- en WooCommerce-richtlijnen, zijn YITH-plug-ins compatibel met hen.
Toch kunnen we compatibiliteit bieden met thema’s die door YIThemes zijn ontwikkeld, omdat ze voortdurend worden bijgewerkt en getest met onze plug-ins. Soms, vooral wanneer nieuwe versies worden uitgebracht, duurt het mogelijk enige tijd voordat ze allemaal zijn bijgewerkt, maar je kunt er zeker van zijn dat ze worden getest en binnen een paar dagen zullen werken.

Hoe kan ik ondersteuning krijgen als mijn WooCommerce plugin niet werkt?

Als je problemen ondervindt met onze plugins of iets niet naar behoren werkt, volg je eerst deze stappen:

  • Test de plugin met een standaard WordPress-thema, om er zeker van te zijn dat de fout niet wordt veroorzaakt door het thema dat je momenteel gebruikt.
  • Deactiveer alle plug-ins die je gebruikt en controleer of het probleem zich nog steeds voordoet.
  • Zorg ervoor dat de pluginversie, je themaversie en je WordPress- en WooCommerce-versie (indien nodig) Up to date zijn en dat het probleem dat je ondervindt nog niet is opgelost in een latere update van de plug-in.

Als geen van de hierboven vermelde acties je helpt het probleem op te lossen, dien je een ticket in het forum in en beschrijft je jouw probleem nauwkeurig, geef je WordPress- en WooCommerce-versies die je gebruikt en andere informatie die ons kan helpen om je probleem zo snel mogelijk op te lossen . Bedankt!

Beoordelingen

26 augustus 2019
The plugin works as suggested in that it allows you to add a donation product and setup donations for checkout. The caveat is that it only works when used as a widget and not as a normal WooCommerce product. Whenever you use the assigned WooCommerce product and single page the plugin adds a duplicate donation product to cart at a cost of $0.00 so you end up with 2 donation products, one with the custom donation value and another with $0.00. https://wordpress.org/support/topic/duplicate-donation-in-cart/#post-11823159 If you're OK with only using Widgets for your donations then this plugin is fine. Anything past that you start running into issues and oddities such as mentioned above. I wish this plugin made clear that it only works properly with Widgets. The description makes it sound like Widgets are an additional feature not a requirement.
Lees alle 2 beoordelingen

Bijdragers & ontwikkelaars

“YITH Donations for WooCommerce” is open source software. De volgende personen hebben bijgedragen aan deze plugin.

Bijdragers

“YITH Donations for WooCommerce” is vertaald in 4 talen. Dank voor de vertalers voor hun bijdragen.

Vertaal “YITH Donations for WooCommerce” naar jouw taal.

Interesse in ontwikkeling?

Bekijk de code, haal de SVN repository op, of abonneer je op het ontwikkellog via RSS.

Changelog

1.1.20 – Released on 04 January 2021

  • Nieuw: Ondersteunt WooCommerce 4.9
  • Update: Plugin Framework

1.1.19 – Released on 23 November 2020

  • Nieuw: Ondersteunt WooCommerce 4.8
  • Nieuw: Ondersteunt WordPress 5.6
  • Nieuw: Ondersteunt PHP 8.0
  • Update: Plugin Framework

1.1.18 – Released on 06 November 2020

  • Nieuw: ondersteuning voor WooCommerce 4.7
  • Update: Plugin Framework

1.1.17 – Released on 05 October 2020

  • Nieuw: Ondersteunt WooCommerce 4.6
  • Update: Plugin Framework

1.1.16 – Released on 17 September 2020

  • Nieuw: Ondersteunt WooCommerce 4.5
  • Update: Plugin Framework

1.1.15 – Released on 17 August 2020

  • Nieuw: Ondersteunt WooCommerce 4.4
  • Nieuw: Ondersteunt WordPress 5.5
  • Update: Plugin Framework

1.1.14 – Released on 28 May 2020

  • Nieuw: Ondersteunt WooCommerce 4.2
  • Update: Plugin Framework

1.1.13 – Released on 08 May 2020

  • Nieuw: Ondersteunt WooCommerce 4.1
  • Update: Plugin Framework

1.1.12 – Released on 01 March 2020

  • Nieuw: Ondersteunt WooCommerce 4.0
  • Nieuw: Ondersteunt WordPress 5.4
  • Update: Plugin Framework

1.1.11 – Released on 16 December 2019

  • Nieuw: Ondersteunt WooCommerce 3.9
  • Update: Plugin Framework

1.1.10 – Released on 29 November 2019

  • Update: Plugin Framework

1.1.9 – Released on 09 November 2019

  • Nieuw: Plugin paneel stijl
  • Update: Plugin Framework

1.1.8 – Released on 30 October 2019

  • Nieuw: Ondersteunt WooCommerce 3.8
  • Nieuw: Ondersteunt WordPress 5.3
  • Update: Plugin Framework

1.1.7 – Released on 30 July 2019

  • Nieuw: Ondersteunt WooCommerce 3.7 RC1
  • Update: Plugin Framework

1.1.6 – Released on 12 June 2019

  • Nieuw: Ondersteunt WordPress 5.2
  • Update: Plugin Framework

1.1.5 – Released on 24 April 2019

  • Update: Plugin Framework

1.1.4 – Released on 03 April 2019

  • Nieuw: Ondersteunt WooCommerce 3.6.0 RC1
  • Nieuw: Ondersteunt WordPress 5.1.1
  • Update: Plugin Framework

1.1.3 – Released on 23 January 2019

  • Nieuw: Ondersteunt WooCommerce 3.5.4
  • Update: Plugin Framework

1.1.1 – Released on 05 December 2018

  • Nieuw: Ondersteunt WooCommerce 3.5.2
  • Nieuw: Ondersteunt WordPress 5.0
  • Update: Plugin Framework
  • Update: Taalbestand

1.0.20 – Released on 24 October 2018

  • Update: Plugin framework
  • Update: Taalbestanden

1.0.19 – Released on 22 October 2018

  • Nieuw: Ondersteunt WooCommerce 3.5.0 RC2
  • Update: Plugin Framework

1.0.18 – Released on 02 October 2018

  • Nieuw: Ondersteunt WooCommerce 3.5.0 RC1
  • Nieuw: Ondersteunt WordPress 4.9.8
  • Update: Plugin framework

1.0.17 – Released on 02 February 2018

  • Nieuw: Ondersteunt WooCommerce 3.3.1 RC1
  • Nieuw: Ondersteunt WordPress 4.9.2
  • Update: Plugin Framework 3.0.12

1.0.16 – Released on 28 December 2017

  • Nieuw: Ondersteunt WooCommerce 3.2.6
  • Nieuw: Ondersteunt WordPress 4.9.1
  • Update: Plugin Framework 3.0.4

1.0.11 – Released on 17 March 2017

  • Nieuw Ondersteunt WooCommerce 3.0.0-RC1
  • Update: Plugin Framework

1.0.10 – Released on 28 December 2016

  • Nieuw: Ondersteunt WordPress 4.7
  • Nieuw: Ondersteunt WooCommerce 2.6.11
  • Update: Plugin Framework
  • Update: Premium Tab info

1.0.9 – Released on 29 April 2016

  • Update: Plugin Framework

1.0.8 – Released on February 09,2016

  • Fix: Invalid price when the Decimal Separator is a comma
  • Update: Plugin Framework

1.0.6 – Released on 13 January 2016

  • Update: Plugin core framework
  • Update: taalbestand
  • Veranderd: Tekst domein

1.0.5 – Released on 14 December 2015

  • Update: Plugin core framework

1.0.3 – Released on 30 October 2015

  • Update: Plugin core framework

1.0.2 – Released 25 September 2015

  • Nieuw: Ondersteunt WooCommerce 2.4
  • Nieuw: Italiaans taalbestand
  • Update: Plugin core framework

1.0.1 – Released on 06 August 2015

  • Tweak: verbetering van het donatiebeheer

1.0.0 – Released 16 July 2015

  • Eerste uitgave